public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-23  8:55 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-23  8:55 UTC (permalink / raw
  To: gentoo-commits

commit:     13411b70bf6fbae0398bc481f6a262ed1b74ed09
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 23 08:53:53 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 23 08:54:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13411b70

dev-util/fq: new package, add 0.1.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.1.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 dev-util/fq/metadata.xml    | 11 +++++++++++
 3 files changed, 50 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
new file mode 100644
index 000000000000..10f17360ce3b
--- /dev/null
+++ b/dev-util/fq/Manifest
@@ -0,0 +1,2 @@
+DIST fq-0.1.0-deps.tar.xz 23497408 BLAKE2B 2ea9edad64f5d077026db99b6d981a443a7c5f5501b4525311512100fb68674bfd9f884908af845a007579d45b5e199bbaf8139a5ed0cee764167459bc62072f SHA512 0b028de7c909077253309d6f16d7bb036b67fb9db6716327d6fe403e7e491f1a56547f91159302e19a8bb578ffdcd74bcb1eab80f1ed65be9f11b4c35fbaf0d9
+DIST fq-0.1.0.tar.gz 8549022 BLAKE2B e4a7d8240f6f9adadab95d66b79747417290d24b53dc1b07c9f2cd526ef86f93f932ba15072cef050d9e3da2f1212ee76da5265345d665796c109bb4b104f0f7 SHA512 3cc81962c9a31343109743f9de7b73939df9165d4d5dd4beff3790e85e435c0344fa44f59a66153d9235ed156e9bee0f93e63b36c492d337547c6cf1712132ed

diff --git a/dev-util/fq/fq-0.1.0.ebuild b/dev-util/fq/fq-0.1.0.ebuild
new file mode 100644
index 000000000000..ae862b026637
--- /dev/null
+++ b/dev-util/fq/fq-0.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# https://github.com/wader/fq/issues/494
+	sed -i -e '/test_repl.exp/d' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	dobin fq
+}

diff --git a/dev-util/fq/metadata.xml b/dev-util/fq/metadata.xml
new file mode 100644
index 000000000000..df8d11274d38
--- /dev/null
+++ b/dev-util/fq/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>sam@gentoo.org</email>
+		<name>Sam James</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">wader/fq</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-24  6:35 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-24  6:35 UTC (permalink / raw
  To: gentoo-commits

commit:     67b1410fe72c302349d7bb2b10de428e84c17c53
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 04:21:21 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 06:31:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67b1410f

dev-util/fq: add 0.2.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.2.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 10f17360ce3b..d6dc4c1db87e 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,2 +1,4 @@
 DIST fq-0.1.0-deps.tar.xz 23497408 BLAKE2B 2ea9edad64f5d077026db99b6d981a443a7c5f5501b4525311512100fb68674bfd9f884908af845a007579d45b5e199bbaf8139a5ed0cee764167459bc62072f SHA512 0b028de7c909077253309d6f16d7bb036b67fb9db6716327d6fe403e7e491f1a56547f91159302e19a8bb578ffdcd74bcb1eab80f1ed65be9f11b4c35fbaf0d9
 DIST fq-0.1.0.tar.gz 8549022 BLAKE2B e4a7d8240f6f9adadab95d66b79747417290d24b53dc1b07c9f2cd526ef86f93f932ba15072cef050d9e3da2f1212ee76da5265345d665796c109bb4b104f0f7 SHA512 3cc81962c9a31343109743f9de7b73939df9165d4d5dd4beff3790e85e435c0344fa44f59a66153d9235ed156e9bee0f93e63b36c492d337547c6cf1712132ed
+DIST fq-0.2.0-deps.tar.xz 23494148 BLAKE2B 59400200a814d08fac88d9bcedc5db0ea2ae5192a5a67b389fa62cbb6e82d8f4210e9153a14aa2e259143c68f67863865359e7636966419f47b00f9fb44394ca SHA512 fa8d3464976569c5bca810dcbce6492bce85173907366aeda3a290a467d027891a8edc889283a9185c5d7139d51f77a2fb9f08b5a452ebc9cd96994f7db8127e
+DIST fq-0.2.0.tar.gz 12762736 BLAKE2B 7f1496b1da231b804b7e3af40f252381e83c62ca5e4779af65a502e9dc6a15a0a5267af68b83569c996f726870234c03952711e8262f360b2061bf34df5b2e4e SHA512 faf88faf0121a837c32dfbfe4c9e05261f28c2eec50d981f7840937ad121e45b0fa6809f428c45c0b41c99d1ae12a667a81911943e0601f2d81922ac670e03fe

diff --git a/dev-util/fq/fq-0.2.0.ebuild b/dev-util/fq/fq-0.2.0.ebuild
new file mode 100644
index 000000000000..ae862b026637
--- /dev/null
+++ b/dev-util/fq/fq-0.2.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# https://github.com/wader/fq/issues/494
+	sed -i -e '/test_repl.exp/d' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-24 12:55 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-24 12:55 UTC (permalink / raw
  To: gentoo-commits

commit:     c75baa7d092689c56ceaa3b40df27103d5f03e27
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 11:58:26 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 12:36:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c75baa7d

dev-util/fq: update DESCRIPTION

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.2.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.2.0.ebuild b/dev-util/fq/fq-0.2.0.ebuild
index 992916809c7e..f0077e0fe23a 100644
--- a/dev-util/fq/fq-0.2.0.ebuild
+++ b/dev-util/fq/fq-0.2.0.ebuild
@@ -5,7 +5,7 @@ EAPI=8
 
 inherit go-module
 
-DESCRIPTION="Tool for working with binary data (jq for binary formats)"
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
 HOMEPAGE="https://github.com/wader/fq"
 SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-24 12:55 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-24 12:55 UTC (permalink / raw
  To: gentoo-commits

commit:     d6dff2a1ec941339298a75a50302bcd81186d985
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 11:57:31 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 12:36:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6dff2a1

dev-util/fq: conditionally build tests

Avoid building & running tests twice (src_test will call 'make test').

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.2.0.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/dev-util/fq/fq-0.2.0.ebuild b/dev-util/fq/fq-0.2.0.ebuild
index ae862b026637..992916809c7e 100644
--- a/dev-util/fq/fq-0.2.0.ebuild
+++ b/dev-util/fq/fq-0.2.0.ebuild
@@ -23,6 +23,9 @@ src_prepare() {
 
 	# https://github.com/wader/fq/issues/494
 	sed -i -e '/test_repl.exp/d' Makefile || die
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
 }
 
 src_compile() {


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-24 12:55 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-24 12:55 UTC (permalink / raw
  To: gentoo-commits

commit:     4f344a4c83e9e7682af0c3ef9e8b035841ef42bc
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 11:57:56 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 12:36:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f344a4c

dev-util/fq: drop 0.1.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 --
 dev-util/fq/fq-0.1.0.ebuild | 37 -------------------------------------
 2 files changed, 39 deletions(-)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index d6dc4c1db87e..6b80aede94a9 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,4 +1,2 @@
-DIST fq-0.1.0-deps.tar.xz 23497408 BLAKE2B 2ea9edad64f5d077026db99b6d981a443a7c5f5501b4525311512100fb68674bfd9f884908af845a007579d45b5e199bbaf8139a5ed0cee764167459bc62072f SHA512 0b028de7c909077253309d6f16d7bb036b67fb9db6716327d6fe403e7e491f1a56547f91159302e19a8bb578ffdcd74bcb1eab80f1ed65be9f11b4c35fbaf0d9
-DIST fq-0.1.0.tar.gz 8549022 BLAKE2B e4a7d8240f6f9adadab95d66b79747417290d24b53dc1b07c9f2cd526ef86f93f932ba15072cef050d9e3da2f1212ee76da5265345d665796c109bb4b104f0f7 SHA512 3cc81962c9a31343109743f9de7b73939df9165d4d5dd4beff3790e85e435c0344fa44f59a66153d9235ed156e9bee0f93e63b36c492d337547c6cf1712132ed
 DIST fq-0.2.0-deps.tar.xz 23494148 BLAKE2B 59400200a814d08fac88d9bcedc5db0ea2ae5192a5a67b389fa62cbb6e82d8f4210e9153a14aa2e259143c68f67863865359e7636966419f47b00f9fb44394ca SHA512 fa8d3464976569c5bca810dcbce6492bce85173907366aeda3a290a467d027891a8edc889283a9185c5d7139d51f77a2fb9f08b5a452ebc9cd96994f7db8127e
 DIST fq-0.2.0.tar.gz 12762736 BLAKE2B 7f1496b1da231b804b7e3af40f252381e83c62ca5e4779af65a502e9dc6a15a0a5267af68b83569c996f726870234c03952711e8262f360b2061bf34df5b2e4e SHA512 faf88faf0121a837c32dfbfe4c9e05261f28c2eec50d981f7840937ad121e45b0fa6809f428c45c0b41c99d1ae12a667a81911943e0601f2d81922ac670e03fe

diff --git a/dev-util/fq/fq-0.1.0.ebuild b/dev-util/fq/fq-0.1.0.ebuild
deleted file mode 100644
index ae862b026637..000000000000
--- a/dev-util/fq/fq-0.1.0.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# https://github.com/wader/fq/issues/494
-	sed -i -e '/test_repl.exp/d' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	dobin fq
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-24 12:55 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-24 12:55 UTC (permalink / raw
  To: gentoo-commits

commit:     aac61eb0cfcdc16852e1b303af002a7750a8de53
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 12:00:01 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 12:36:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aac61eb0

dev-util/fq: install README

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/{fq-0.2.0.ebuild => fq-0.2.0-r1.ebuild} | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dev-util/fq/fq-0.2.0.ebuild b/dev-util/fq/fq-0.2.0-r1.ebuild
similarity index 98%
rename from dev-util/fq/fq-0.2.0.ebuild
rename to dev-util/fq/fq-0.2.0-r1.ebuild
index f0077e0fe23a..c4bb233a488d 100644
--- a/dev-util/fq/fq-0.2.0.ebuild
+++ b/dev-util/fq/fq-0.2.0-r1.ebuild
@@ -36,5 +36,7 @@ src_compile() {
 }
 
 src_install() {
+	einstalldocs
+
 	dobin fq
 }


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-25 20:17 Arthur Zamarin
  0 siblings, 0 replies; 31+ messages in thread
From: Arthur Zamarin @ 2022-12-25 20:17 UTC (permalink / raw
  To: gentoo-commits

commit:     ff9eb03a93a55df36d4cc439efa411d485e4bb18
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 25 20:16:56 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 25 20:16:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff9eb03a

dev-util/fq: Keyword 0.2.0-r1 arm64, #888461

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/fq/fq-0.2.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.2.0-r1.ebuild b/dev-util/fq/fq-0.2.0-r1.ebuild
index c4bb233a488d..d37797c99871 100644
--- a/dev-util/fq/fq-0.2.0-r1.ebuild
+++ b/dev-util/fq/fq-0.2.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-25 20:26 Arthur Zamarin
  0 siblings, 0 replies; 31+ messages in thread
From: Arthur Zamarin @ 2022-12-25 20:26 UTC (permalink / raw
  To: gentoo-commits

commit:     1d2c706277bf0c888e6fefaef28e2dc50a002dbb
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 25 20:26:21 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 25 20:26:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d2c7062

dev-util/fq: Keyword 0.2.0-r1 arm, #888461

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/fq/fq-0.2.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.2.0-r1.ebuild b/dev-util/fq/fq-0.2.0-r1.ebuild
index d37797c99871..0bc791c4f833 100644
--- a/dev-util/fq/fq-0.2.0-r1.ebuild
+++ b/dev-util/fq/fq-0.2.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="~amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2022-12-25 21:24 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2022-12-25 21:24 UTC (permalink / raw
  To: gentoo-commits

commit:     c484dd8ae731746759af2de3b25f72842f82eeb6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 25 21:24:04 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 25 21:24:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c484dd8a

dev-util/fq: Stabilize 0.2.0-r1 amd64, #888460

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.2.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.2.0-r1.ebuild b/dev-util/fq/fq-0.2.0-r1.ebuild
index 0bc791c4f833..c8afbda8f84e 100644
--- a/dev-util/fq/fq-0.2.0-r1.ebuild
+++ b/dev-util/fq/fq-0.2.0-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-02-12  6:22 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-02-12  6:22 UTC (permalink / raw
  To: gentoo-commits

commit:     7ea79fe232bccc971ae3540c0ccb1e61e4cdfe1c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 12 05:58:07 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 12 05:59:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ea79fe2

dev-util/fq: add 0.3.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.3.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 6b80aede94a9..1ea2601a2ca0 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,2 +1,4 @@
 DIST fq-0.2.0-deps.tar.xz 23494148 BLAKE2B 59400200a814d08fac88d9bcedc5db0ea2ae5192a5a67b389fa62cbb6e82d8f4210e9153a14aa2e259143c68f67863865359e7636966419f47b00f9fb44394ca SHA512 fa8d3464976569c5bca810dcbce6492bce85173907366aeda3a290a467d027891a8edc889283a9185c5d7139d51f77a2fb9f08b5a452ebc9cd96994f7db8127e
 DIST fq-0.2.0.tar.gz 12762736 BLAKE2B 7f1496b1da231b804b7e3af40f252381e83c62ca5e4779af65a502e9dc6a15a0a5267af68b83569c996f726870234c03952711e8262f360b2061bf34df5b2e4e SHA512 faf88faf0121a837c32dfbfe4c9e05261f28c2eec50d981f7840937ad121e45b0fa6809f428c45c0b41c99d1ae12a667a81911943e0601f2d81922ac670e03fe
+DIST fq-0.3.0-deps.tar.xz 23500960 BLAKE2B ed03e21c6ad2bedad72c68018518394b6438791d88edf14a725c56752fd83003e486d5e2d9e139742683b1adc43d8931b9a99f06e68d0c4abb389f20de0e1969 SHA512 1ca347a8b057948880fc049ac51810acd8212df5a74410bdeb1fba9f470369cf377f185d1fb36fa603bcaa7aeb0c25e50389935223a4f6a1786f919421933ec2
+DIST fq-0.3.0.tar.gz 12772624 BLAKE2B 07fb3109b89ca3c1a77210d0d59930c4a5665a0dc256d3daf6727d96fedd5fc3ac151b1623a5354cef96e21a0009023702759edd50712a4e76554b6cff71618d SHA512 725b9e7fc3fd481af1d792dcdb37a42d2cf0bb634b424df801909208c2479493219d08649e943296dd187f27f3ff1f16779f1ec3318e6eb99c9fe13943c5e9ae

diff --git a/dev-util/fq/fq-0.3.0.ebuild b/dev-util/fq/fq-0.3.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.3.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-03-09  1:03 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-03-09  1:03 UTC (permalink / raw
  To: gentoo-commits

commit:     424f73eafe65835e73b5d125de82c3428813c2c8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  8 23:38:12 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar  8 23:38:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=424f73ea

dev-util/fq: add 0.4.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.4.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 1ea2601a2ca0..620dcf7d3e91 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -2,3 +2,5 @@ DIST fq-0.2.0-deps.tar.xz 23494148 BLAKE2B 59400200a814d08fac88d9bcedc5db0ea2ae5
 DIST fq-0.2.0.tar.gz 12762736 BLAKE2B 7f1496b1da231b804b7e3af40f252381e83c62ca5e4779af65a502e9dc6a15a0a5267af68b83569c996f726870234c03952711e8262f360b2061bf34df5b2e4e SHA512 faf88faf0121a837c32dfbfe4c9e05261f28c2eec50d981f7840937ad121e45b0fa6809f428c45c0b41c99d1ae12a667a81911943e0601f2d81922ac670e03fe
 DIST fq-0.3.0-deps.tar.xz 23500960 BLAKE2B ed03e21c6ad2bedad72c68018518394b6438791d88edf14a725c56752fd83003e486d5e2d9e139742683b1adc43d8931b9a99f06e68d0c4abb389f20de0e1969 SHA512 1ca347a8b057948880fc049ac51810acd8212df5a74410bdeb1fba9f470369cf377f185d1fb36fa603bcaa7aeb0c25e50389935223a4f6a1786f919421933ec2
 DIST fq-0.3.0.tar.gz 12772624 BLAKE2B 07fb3109b89ca3c1a77210d0d59930c4a5665a0dc256d3daf6727d96fedd5fc3ac151b1623a5354cef96e21a0009023702759edd50712a4e76554b6cff71618d SHA512 725b9e7fc3fd481af1d792dcdb37a42d2cf0bb634b424df801909208c2479493219d08649e943296dd187f27f3ff1f16779f1ec3318e6eb99c9fe13943c5e9ae
+DIST fq-0.4.0-deps.tar.xz 23528264 BLAKE2B e547edf1bdd5ffdc567d820f3a8dbe5a87a1b7bb2bc6f5cbdd4b16d57d1458b36a08dd0cb5c3804eaf595876ae445851ae57fdb69b324012681bc410913c264c SHA512 fbf3dfa7e79e0a1eea2228f991c00b87bcbdba4dae24e27730d9824840ca5aeb5b21d6141ed5e5c8586422c171d4ffa3ad1e4bdde8de8bf91c7f309661ce0c92
+DIST fq-0.4.0.tar.gz 14024197 BLAKE2B d3de6e8b88aa4589d4edb18539bc13110bcfcdd3599f3c9b0759e5883e72f31ebe14eeb70a71b6333fd68b5ea97c0f0d1568788d94b7fb6a922f4fccf32d964f SHA512 8c8eeec5f701cbd9310f0cf44cbb5853602df84d21071a481a62cb864fe96925f0c143593c8c90b29c646aeb54d535c274e6745bfd51fddc8cfedffcfc57c712

diff --git a/dev-util/fq/fq-0.4.0.ebuild b/dev-util/fq/fq-0.4.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-03-22  5:27 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-03-22  5:27 UTC (permalink / raw
  To: gentoo-commits

commit:     9c5b9b55c5adc4c39178b815c3239c093ef7a87e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 22 05:26:10 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 05:26:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c5b9b55

dev-util/fq: Stabilize 0.3.0 amd64, #902609

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.3.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.3.0.ebuild b/dev-util/fq/fq-0.3.0.ebuild
index 5df96c3f076c..ac1877d19d56 100644
--- a/dev-util/fq/fq-0.3.0.ebuild
+++ b/dev-util/fq/fq-0.3.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-04-13 19:07 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-04-13 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     8579633774e9b7d9fa6edf5809b8349974c04c9a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 13 18:54:04 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr 13 18:54:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85796337

dev-util/fq: add 0.5.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.5.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 620dcf7d3e91..21c052920477 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -4,3 +4,5 @@ DIST fq-0.3.0-deps.tar.xz 23500960 BLAKE2B ed03e21c6ad2bedad72c68018518394b64387
 DIST fq-0.3.0.tar.gz 12772624 BLAKE2B 07fb3109b89ca3c1a77210d0d59930c4a5665a0dc256d3daf6727d96fedd5fc3ac151b1623a5354cef96e21a0009023702759edd50712a4e76554b6cff71618d SHA512 725b9e7fc3fd481af1d792dcdb37a42d2cf0bb634b424df801909208c2479493219d08649e943296dd187f27f3ff1f16779f1ec3318e6eb99c9fe13943c5e9ae
 DIST fq-0.4.0-deps.tar.xz 23528264 BLAKE2B e547edf1bdd5ffdc567d820f3a8dbe5a87a1b7bb2bc6f5cbdd4b16d57d1458b36a08dd0cb5c3804eaf595876ae445851ae57fdb69b324012681bc410913c264c SHA512 fbf3dfa7e79e0a1eea2228f991c00b87bcbdba4dae24e27730d9824840ca5aeb5b21d6141ed5e5c8586422c171d4ffa3ad1e4bdde8de8bf91c7f309661ce0c92
 DIST fq-0.4.0.tar.gz 14024197 BLAKE2B d3de6e8b88aa4589d4edb18539bc13110bcfcdd3599f3c9b0759e5883e72f31ebe14eeb70a71b6333fd68b5ea97c0f0d1568788d94b7fb6a922f4fccf32d964f SHA512 8c8eeec5f701cbd9310f0cf44cbb5853602df84d21071a481a62cb864fe96925f0c143593c8c90b29c646aeb54d535c274e6745bfd51fddc8cfedffcfc57c712
+DIST fq-0.5.0-deps.tar.xz 23548612 BLAKE2B 2ad41a19b4f600df4ef1ad4e900d037d5df2b4249d1019e8335511ed05dc3c9dcb48db28ca052e61ca07384d1930ef25c9ac3e768c18bdba6069cd51665e219d SHA512 ab8a960a97eb4aac42adcbb9ce7bea13193439c90d9eeea3ba291f67f133953dfb9d0dbcae25a32c25f8284aedd6ff50c7719953ed2cc710839636f09f6964f4
+DIST fq-0.5.0.tar.gz 14043325 BLAKE2B a69d2f8602c8a1def0aff3c291e6ace23509e53a96c3b0e11e0353bc8a35cdd7ca6a8c8d1d72557e1c6895154d5e62070a7cd35ac76224c676c7e708e512d349 SHA512 21d0d23c21d12188bff10845b1c31cc8535f31ccef54d2b3e5b9b9770d6d0c830a9d83db3fb7f6559e940227bdcd8fdb3df45eccc2ab4cfe2e36214585e21343

diff --git a/dev-util/fq/fq-0.5.0.ebuild b/dev-util/fq/fq-0.5.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-04-19  6:26 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-04-19  6:26 UTC (permalink / raw
  To: gentoo-commits

commit:     80fdf2839a7c1f74a546051d5fc80c439b3c03ef
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 19 06:26:15 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr 19 06:26:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80fdf283

dev-util/fq: Stabilize 0.4.0 amd64, #904543

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.4.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.4.0.ebuild b/dev-util/fq/fq-0.4.0.ebuild
index 5df96c3f076c..ac1877d19d56 100644
--- a/dev-util/fq/fq-0.4.0.ebuild
+++ b/dev-util/fq/fq-0.4.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-05-17  0:37 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-05-17  0:37 UTC (permalink / raw
  To: gentoo-commits

commit:     348376dac61e7257991207383369aa8e7ae3e781
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 00:33:10 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 17 00:33:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=348376da

dev-util/fq: add 0.6.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.6.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 21c052920477..11779dba1790 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -6,3 +6,5 @@ DIST fq-0.4.0-deps.tar.xz 23528264 BLAKE2B e547edf1bdd5ffdc567d820f3a8dbe5a87a1b
 DIST fq-0.4.0.tar.gz 14024197 BLAKE2B d3de6e8b88aa4589d4edb18539bc13110bcfcdd3599f3c9b0759e5883e72f31ebe14eeb70a71b6333fd68b5ea97c0f0d1568788d94b7fb6a922f4fccf32d964f SHA512 8c8eeec5f701cbd9310f0cf44cbb5853602df84d21071a481a62cb864fe96925f0c143593c8c90b29c646aeb54d535c274e6745bfd51fddc8cfedffcfc57c712
 DIST fq-0.5.0-deps.tar.xz 23548612 BLAKE2B 2ad41a19b4f600df4ef1ad4e900d037d5df2b4249d1019e8335511ed05dc3c9dcb48db28ca052e61ca07384d1930ef25c9ac3e768c18bdba6069cd51665e219d SHA512 ab8a960a97eb4aac42adcbb9ce7bea13193439c90d9eeea3ba291f67f133953dfb9d0dbcae25a32c25f8284aedd6ff50c7719953ed2cc710839636f09f6964f4
 DIST fq-0.5.0.tar.gz 14043325 BLAKE2B a69d2f8602c8a1def0aff3c291e6ace23509e53a96c3b0e11e0353bc8a35cdd7ca6a8c8d1d72557e1c6895154d5e62070a7cd35ac76224c676c7e708e512d349 SHA512 21d0d23c21d12188bff10845b1c31cc8535f31ccef54d2b3e5b9b9770d6d0c830a9d83db3fb7f6559e940227bdcd8fdb3df45eccc2ab4cfe2e36214585e21343
+DIST fq-0.6.0-deps.tar.xz 23555196 BLAKE2B 9cdaefa577a4f795cdae1ad548a973439e3f9bc00570cee15009fbcc09002598e58888c00ed2179425c124cc00b213476717755e07c580e4e6664649448d5938 SHA512 075f51047f3c8884dd220d14fb72a1b35f2988cc4f5ff103349f4727361be1d0ed404526eaebf8481ab215e8cbca1f20c74981710403b74110311b0e50231fab
+DIST fq-0.6.0.tar.gz 14669090 BLAKE2B 6ad6be12df84e8c21f01679a1dcb94b9095735570843258fe302c5b1ac0d45305fdb4ad15fff287077ecdd20bc51af56f9036127e7dcfc23b69160dc4ee04d75 SHA512 625bef47f03115d52a960ce1afb5f850f8cd8a5414a12df3213fd3af6e6d9b7c0022dc62ee2d424d6dcbee828c9c8f233050e9d0afb880aac2864c2b24737f40

diff --git a/dev-util/fq/fq-0.6.0.ebuild b/dev-util/fq/fq-0.6.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.6.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-06-10  4:20 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-06-10  4:20 UTC (permalink / raw
  To: gentoo-commits

commit:     e4d76e9325555f35f917f77233f7c7251372ab20
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 10 04:18:44 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 10 04:18:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4d76e93

dev-util/fq: Stabilize 0.5.0 amd64, #908114

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.5.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.5.0.ebuild b/dev-util/fq/fq-0.5.0.ebuild
index 5df96c3f076c..ac1877d19d56 100644
--- a/dev-util/fq/fq-0.5.0.ebuild
+++ b/dev-util/fq/fq-0.5.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-06-10  7:08 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-06-10  7:08 UTC (permalink / raw
  To: gentoo-commits

commit:     cba2b07510eb8c0d86b713e123d18736f8df7796
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 10 07:03:50 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 10 07:07:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cba2b075

dev-util/fq: drop 0.2.0-r1, 0.3.0, 0.4.0

Bug: https://bugs.gentoo.org/908114
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest           |  6 ------
 dev-util/fq/fq-0.2.0-r1.ebuild | 42 ------------------------------------------
 dev-util/fq/fq-0.3.0.ebuild    | 40 ----------------------------------------
 dev-util/fq/fq-0.4.0.ebuild    | 40 ----------------------------------------
 4 files changed, 128 deletions(-)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 11779dba1790..f94951e9f8f9 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,9 +1,3 @@
-DIST fq-0.2.0-deps.tar.xz 23494148 BLAKE2B 59400200a814d08fac88d9bcedc5db0ea2ae5192a5a67b389fa62cbb6e82d8f4210e9153a14aa2e259143c68f67863865359e7636966419f47b00f9fb44394ca SHA512 fa8d3464976569c5bca810dcbce6492bce85173907366aeda3a290a467d027891a8edc889283a9185c5d7139d51f77a2fb9f08b5a452ebc9cd96994f7db8127e
-DIST fq-0.2.0.tar.gz 12762736 BLAKE2B 7f1496b1da231b804b7e3af40f252381e83c62ca5e4779af65a502e9dc6a15a0a5267af68b83569c996f726870234c03952711e8262f360b2061bf34df5b2e4e SHA512 faf88faf0121a837c32dfbfe4c9e05261f28c2eec50d981f7840937ad121e45b0fa6809f428c45c0b41c99d1ae12a667a81911943e0601f2d81922ac670e03fe
-DIST fq-0.3.0-deps.tar.xz 23500960 BLAKE2B ed03e21c6ad2bedad72c68018518394b6438791d88edf14a725c56752fd83003e486d5e2d9e139742683b1adc43d8931b9a99f06e68d0c4abb389f20de0e1969 SHA512 1ca347a8b057948880fc049ac51810acd8212df5a74410bdeb1fba9f470369cf377f185d1fb36fa603bcaa7aeb0c25e50389935223a4f6a1786f919421933ec2
-DIST fq-0.3.0.tar.gz 12772624 BLAKE2B 07fb3109b89ca3c1a77210d0d59930c4a5665a0dc256d3daf6727d96fedd5fc3ac151b1623a5354cef96e21a0009023702759edd50712a4e76554b6cff71618d SHA512 725b9e7fc3fd481af1d792dcdb37a42d2cf0bb634b424df801909208c2479493219d08649e943296dd187f27f3ff1f16779f1ec3318e6eb99c9fe13943c5e9ae
-DIST fq-0.4.0-deps.tar.xz 23528264 BLAKE2B e547edf1bdd5ffdc567d820f3a8dbe5a87a1b7bb2bc6f5cbdd4b16d57d1458b36a08dd0cb5c3804eaf595876ae445851ae57fdb69b324012681bc410913c264c SHA512 fbf3dfa7e79e0a1eea2228f991c00b87bcbdba4dae24e27730d9824840ca5aeb5b21d6141ed5e5c8586422c171d4ffa3ad1e4bdde8de8bf91c7f309661ce0c92
-DIST fq-0.4.0.tar.gz 14024197 BLAKE2B d3de6e8b88aa4589d4edb18539bc13110bcfcdd3599f3c9b0759e5883e72f31ebe14eeb70a71b6333fd68b5ea97c0f0d1568788d94b7fb6a922f4fccf32d964f SHA512 8c8eeec5f701cbd9310f0cf44cbb5853602df84d21071a481a62cb864fe96925f0c143593c8c90b29c646aeb54d535c274e6745bfd51fddc8cfedffcfc57c712
 DIST fq-0.5.0-deps.tar.xz 23548612 BLAKE2B 2ad41a19b4f600df4ef1ad4e900d037d5df2b4249d1019e8335511ed05dc3c9dcb48db28ca052e61ca07384d1930ef25c9ac3e768c18bdba6069cd51665e219d SHA512 ab8a960a97eb4aac42adcbb9ce7bea13193439c90d9eeea3ba291f67f133953dfb9d0dbcae25a32c25f8284aedd6ff50c7719953ed2cc710839636f09f6964f4
 DIST fq-0.5.0.tar.gz 14043325 BLAKE2B a69d2f8602c8a1def0aff3c291e6ace23509e53a96c3b0e11e0353bc8a35cdd7ca6a8c8d1d72557e1c6895154d5e62070a7cd35ac76224c676c7e708e512d349 SHA512 21d0d23c21d12188bff10845b1c31cc8535f31ccef54d2b3e5b9b9770d6d0c830a9d83db3fb7f6559e940227bdcd8fdb3df45eccc2ab4cfe2e36214585e21343
 DIST fq-0.6.0-deps.tar.xz 23555196 BLAKE2B 9cdaefa577a4f795cdae1ad548a973439e3f9bc00570cee15009fbcc09002598e58888c00ed2179425c124cc00b213476717755e07c580e4e6664649448d5938 SHA512 075f51047f3c8884dd220d14fb72a1b35f2988cc4f5ff103349f4727361be1d0ed404526eaebf8481ab215e8cbca1f20c74981710403b74110311b0e50231fab

diff --git a/dev-util/fq/fq-0.2.0-r1.ebuild b/dev-util/fq/fq-0.2.0-r1.ebuild
deleted file mode 100644
index c8afbda8f84e..000000000000
--- a/dev-util/fq/fq-0.2.0-r1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# https://github.com/wader/fq/issues/494
-	sed -i -e '/test_repl.exp/d' Makefile || die
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}

diff --git a/dev-util/fq/fq-0.3.0.ebuild b/dev-util/fq/fq-0.3.0.ebuild
deleted file mode 100644
index ac1877d19d56..000000000000
--- a/dev-util/fq/fq-0.3.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}

diff --git a/dev-util/fq/fq-0.4.0.ebuild b/dev-util/fq/fq-0.4.0.ebuild
deleted file mode 100644
index ac1877d19d56..000000000000
--- a/dev-util/fq/fq-0.4.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-06-25  7:05 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-06-25  7:05 UTC (permalink / raw
  To: gentoo-commits

commit:     4ad3480ff5436816a1c8c10d21b1bcbcd1a24a26
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 25 07:04:15 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 25 07:04:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ad3480f

dev-util/fq: Stabilize 0.6.0 amd64, #909140

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.6.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.6.0.ebuild b/dev-util/fq/fq-0.6.0.ebuild
index 5df96c3f076c..ac1877d19d56 100644
--- a/dev-util/fq/fq-0.6.0.ebuild
+++ b/dev-util/fq/fq-0.6.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-07-09  7:59 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-07-09  7:59 UTC (permalink / raw
  To: gentoo-commits

commit:     2b53d4936bb99393bc79db30c2dd18b12fd643fc
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  9 07:38:19 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jul  9 07:38:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b53d493

dev-util/fq: add 0.7.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.7.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index f94951e9f8f9..7544fb8e3fa0 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -2,3 +2,5 @@ DIST fq-0.5.0-deps.tar.xz 23548612 BLAKE2B 2ad41a19b4f600df4ef1ad4e900d037d5df2b
 DIST fq-0.5.0.tar.gz 14043325 BLAKE2B a69d2f8602c8a1def0aff3c291e6ace23509e53a96c3b0e11e0353bc8a35cdd7ca6a8c8d1d72557e1c6895154d5e62070a7cd35ac76224c676c7e708e512d349 SHA512 21d0d23c21d12188bff10845b1c31cc8535f31ccef54d2b3e5b9b9770d6d0c830a9d83db3fb7f6559e940227bdcd8fdb3df45eccc2ab4cfe2e36214585e21343
 DIST fq-0.6.0-deps.tar.xz 23555196 BLAKE2B 9cdaefa577a4f795cdae1ad548a973439e3f9bc00570cee15009fbcc09002598e58888c00ed2179425c124cc00b213476717755e07c580e4e6664649448d5938 SHA512 075f51047f3c8884dd220d14fb72a1b35f2988cc4f5ff103349f4727361be1d0ed404526eaebf8481ab215e8cbca1f20c74981710403b74110311b0e50231fab
 DIST fq-0.6.0.tar.gz 14669090 BLAKE2B 6ad6be12df84e8c21f01679a1dcb94b9095735570843258fe302c5b1ac0d45305fdb4ad15fff287077ecdd20bc51af56f9036127e7dcfc23b69160dc4ee04d75 SHA512 625bef47f03115d52a960ce1afb5f850f8cd8a5414a12df3213fd3af6e6d9b7c0022dc62ee2d424d6dcbee828c9c8f233050e9d0afb880aac2864c2b24737f40
+DIST fq-0.7.0-deps.tar.xz 30504100 BLAKE2B c5882e883ee63b6e342a1f492a7455fd51712ea4eba294f3f360293fc5acb9a561d92d1a1f5aadc81aba8cb8f9528b4f55cd17e0789d10770f2b130f16ddcadd SHA512 08cd7904056c571553621c9baf66b35a82dc4ef6ea608e5c3692155769293743ade964682e565d46ace2e26ab769b1dcb3b23933acda9fb82e6725cee682f761
+DIST fq-0.7.0.tar.gz 14694306 BLAKE2B 5eb70ffd97b17d9c8b457939c05df2fe9c852766483914e877a72b07a03516d6c23220e08ad1209e0211ad27123f4782947004da7e67179a17460790b5e6d659 SHA512 6f04b705f466009c53e6626411f84346486a688bbc6ddb596e0b2f6dbae46b12734e0345fd4641883fda209fe0fee5c04cf65398bb9a4215b297d9ebc74c1372

diff --git a/dev-util/fq/fq-0.7.0.ebuild b/dev-util/fq/fq-0.7.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.7.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-09-29 23:54 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-09-29 23:54 UTC (permalink / raw
  To: gentoo-commits

commit:     e45d10e5aa7ca7589b5d2908c3de72679160cd7b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 23:53:34 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 23:53:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e45d10e5

dev-util/fq: add 0.8.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.8.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 7544fb8e3fa0..5faf666a4650 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -4,3 +4,5 @@ DIST fq-0.6.0-deps.tar.xz 23555196 BLAKE2B 9cdaefa577a4f795cdae1ad548a973439e3f9
 DIST fq-0.6.0.tar.gz 14669090 BLAKE2B 6ad6be12df84e8c21f01679a1dcb94b9095735570843258fe302c5b1ac0d45305fdb4ad15fff287077ecdd20bc51af56f9036127e7dcfc23b69160dc4ee04d75 SHA512 625bef47f03115d52a960ce1afb5f850f8cd8a5414a12df3213fd3af6e6d9b7c0022dc62ee2d424d6dcbee828c9c8f233050e9d0afb880aac2864c2b24737f40
 DIST fq-0.7.0-deps.tar.xz 30504100 BLAKE2B c5882e883ee63b6e342a1f492a7455fd51712ea4eba294f3f360293fc5acb9a561d92d1a1f5aadc81aba8cb8f9528b4f55cd17e0789d10770f2b130f16ddcadd SHA512 08cd7904056c571553621c9baf66b35a82dc4ef6ea608e5c3692155769293743ade964682e565d46ace2e26ab769b1dcb3b23933acda9fb82e6725cee682f761
 DIST fq-0.7.0.tar.gz 14694306 BLAKE2B 5eb70ffd97b17d9c8b457939c05df2fe9c852766483914e877a72b07a03516d6c23220e08ad1209e0211ad27123f4782947004da7e67179a17460790b5e6d659 SHA512 6f04b705f466009c53e6626411f84346486a688bbc6ddb596e0b2f6dbae46b12734e0345fd4641883fda209fe0fee5c04cf65398bb9a4215b297d9ebc74c1372
+DIST fq-0.8.0-deps.tar.xz 30680132 BLAKE2B df9eed4dd0fd04c114293286aeb57d8c29ef8d09577f433c3c50cde32ccb87985efc5e7f5b4be30a9ff47ad0d072ff2989868dec5d74721bd809f93960ee15f1 SHA512 97dbe3467a8ca388b7345da11d67a7b84f77b38ec2c114ceb223eceb7fcf1b682d6e531c30fa0134b1f3fd9461f6b98e381ebcc6a12386f630460a3b6d778077
+DIST fq-0.8.0.tar.gz 15152198 BLAKE2B 5e07106adc7539225a47c0e06eed5731c0c5b121c6206afa54eaf5598d56c7a00ea7cc984afc6808fb28964e999cee91bec587ece2cf5ef0b3b5f85faf50b1dd SHA512 b9733ecb2b8ffaac564c1fb18d4fab1fe1a2b3307f42c1ac1968d5f2f74e4ca37c16add2a6e366d65e60173967e1317f6c6383d414e9ff95d0fc8f5dcefa9637

diff --git a/dev-util/fq/fq-0.8.0.ebuild b/dev-util/fq/fq-0.8.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.8.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-09-29 23:54 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-09-29 23:54 UTC (permalink / raw
  To: gentoo-commits

commit:     f1c91587d784f41304e7c7e923fac6c8ea651296
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 29 23:53:44 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 29 23:53:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1c91587

dev-util/fq: drop 0.5.0, 0.6.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  4 ----
 dev-util/fq/fq-0.5.0.ebuild | 40 ----------------------------------------
 dev-util/fq/fq-0.6.0.ebuild | 40 ----------------------------------------
 3 files changed, 84 deletions(-)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 5faf666a4650..51cbe984d2c4 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,7 +1,3 @@
-DIST fq-0.5.0-deps.tar.xz 23548612 BLAKE2B 2ad41a19b4f600df4ef1ad4e900d037d5df2b4249d1019e8335511ed05dc3c9dcb48db28ca052e61ca07384d1930ef25c9ac3e768c18bdba6069cd51665e219d SHA512 ab8a960a97eb4aac42adcbb9ce7bea13193439c90d9eeea3ba291f67f133953dfb9d0dbcae25a32c25f8284aedd6ff50c7719953ed2cc710839636f09f6964f4
-DIST fq-0.5.0.tar.gz 14043325 BLAKE2B a69d2f8602c8a1def0aff3c291e6ace23509e53a96c3b0e11e0353bc8a35cdd7ca6a8c8d1d72557e1c6895154d5e62070a7cd35ac76224c676c7e708e512d349 SHA512 21d0d23c21d12188bff10845b1c31cc8535f31ccef54d2b3e5b9b9770d6d0c830a9d83db3fb7f6559e940227bdcd8fdb3df45eccc2ab4cfe2e36214585e21343
-DIST fq-0.6.0-deps.tar.xz 23555196 BLAKE2B 9cdaefa577a4f795cdae1ad548a973439e3f9bc00570cee15009fbcc09002598e58888c00ed2179425c124cc00b213476717755e07c580e4e6664649448d5938 SHA512 075f51047f3c8884dd220d14fb72a1b35f2988cc4f5ff103349f4727361be1d0ed404526eaebf8481ab215e8cbca1f20c74981710403b74110311b0e50231fab
-DIST fq-0.6.0.tar.gz 14669090 BLAKE2B 6ad6be12df84e8c21f01679a1dcb94b9095735570843258fe302c5b1ac0d45305fdb4ad15fff287077ecdd20bc51af56f9036127e7dcfc23b69160dc4ee04d75 SHA512 625bef47f03115d52a960ce1afb5f850f8cd8a5414a12df3213fd3af6e6d9b7c0022dc62ee2d424d6dcbee828c9c8f233050e9d0afb880aac2864c2b24737f40
 DIST fq-0.7.0-deps.tar.xz 30504100 BLAKE2B c5882e883ee63b6e342a1f492a7455fd51712ea4eba294f3f360293fc5acb9a561d92d1a1f5aadc81aba8cb8f9528b4f55cd17e0789d10770f2b130f16ddcadd SHA512 08cd7904056c571553621c9baf66b35a82dc4ef6ea608e5c3692155769293743ade964682e565d46ace2e26ab769b1dcb3b23933acda9fb82e6725cee682f761
 DIST fq-0.7.0.tar.gz 14694306 BLAKE2B 5eb70ffd97b17d9c8b457939c05df2fe9c852766483914e877a72b07a03516d6c23220e08ad1209e0211ad27123f4782947004da7e67179a17460790b5e6d659 SHA512 6f04b705f466009c53e6626411f84346486a688bbc6ddb596e0b2f6dbae46b12734e0345fd4641883fda209fe0fee5c04cf65398bb9a4215b297d9ebc74c1372
 DIST fq-0.8.0-deps.tar.xz 30680132 BLAKE2B df9eed4dd0fd04c114293286aeb57d8c29ef8d09577f433c3c50cde32ccb87985efc5e7f5b4be30a9ff47ad0d072ff2989868dec5d74721bd809f93960ee15f1 SHA512 97dbe3467a8ca388b7345da11d67a7b84f77b38ec2c114ceb223eceb7fcf1b682d6e531c30fa0134b1f3fd9461f6b98e381ebcc6a12386f630460a3b6d778077

diff --git a/dev-util/fq/fq-0.5.0.ebuild b/dev-util/fq/fq-0.5.0.ebuild
deleted file mode 100644
index ac1877d19d56..000000000000
--- a/dev-util/fq/fq-0.5.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}

diff --git a/dev-util/fq/fq-0.6.0.ebuild b/dev-util/fq/fq-0.6.0.ebuild
deleted file mode 100644
index ac1877d19d56..000000000000
--- a/dev-util/fq/fq-0.6.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-11-04 10:52 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-11-04 10:52 UTC (permalink / raw
  To: gentoo-commits

commit:     05647868e020c36d1af3ac6258e9a0ddbed2c818
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  4 10:51:48 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov  4 10:51:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05647868

dev-util/fq: Stabilize 0.8.0 amd64, #916802

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.8.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.8.0.ebuild b/dev-util/fq/fq-0.8.0.ebuild
index 5df96c3f076c..ac1877d19d56 100644
--- a/dev-util/fq/fq-0.8.0.ebuild
+++ b/dev-util/fq/fq-0.8.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-11-25  5:28 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-11-25  5:28 UTC (permalink / raw
  To: gentoo-commits

commit:     14178a12f73346990adafe5d6dce5bf793e76bdb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 25 05:23:56 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 25 05:27:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14178a12

dev-util/fq: drop 0.7.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 --
 dev-util/fq/fq-0.7.0.ebuild | 40 ----------------------------------------
 2 files changed, 42 deletions(-)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 51cbe984d2c4..4e01f316eed6 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,4 +1,2 @@
-DIST fq-0.7.0-deps.tar.xz 30504100 BLAKE2B c5882e883ee63b6e342a1f492a7455fd51712ea4eba294f3f360293fc5acb9a561d92d1a1f5aadc81aba8cb8f9528b4f55cd17e0789d10770f2b130f16ddcadd SHA512 08cd7904056c571553621c9baf66b35a82dc4ef6ea608e5c3692155769293743ade964682e565d46ace2e26ab769b1dcb3b23933acda9fb82e6725cee682f761
-DIST fq-0.7.0.tar.gz 14694306 BLAKE2B 5eb70ffd97b17d9c8b457939c05df2fe9c852766483914e877a72b07a03516d6c23220e08ad1209e0211ad27123f4782947004da7e67179a17460790b5e6d659 SHA512 6f04b705f466009c53e6626411f84346486a688bbc6ddb596e0b2f6dbae46b12734e0345fd4641883fda209fe0fee5c04cf65398bb9a4215b297d9ebc74c1372
 DIST fq-0.8.0-deps.tar.xz 30680132 BLAKE2B df9eed4dd0fd04c114293286aeb57d8c29ef8d09577f433c3c50cde32ccb87985efc5e7f5b4be30a9ff47ad0d072ff2989868dec5d74721bd809f93960ee15f1 SHA512 97dbe3467a8ca388b7345da11d67a7b84f77b38ec2c114ceb223eceb7fcf1b682d6e531c30fa0134b1f3fd9461f6b98e381ebcc6a12386f630460a3b6d778077
 DIST fq-0.8.0.tar.gz 15152198 BLAKE2B 5e07106adc7539225a47c0e06eed5731c0c5b121c6206afa54eaf5598d56c7a00ea7cc984afc6808fb28964e999cee91bec587ece2cf5ef0b3b5f85faf50b1dd SHA512 b9733ecb2b8ffaac564c1fb18d4fab1fe1a2b3307f42c1ac1968d5f2f74e4ca37c16add2a6e366d65e60173967e1317f6c6383d414e9ff95d0fc8f5dcefa9637

diff --git a/dev-util/fq/fq-0.7.0.ebuild b/dev-util/fq/fq-0.7.0.ebuild
deleted file mode 100644
index ac1877d19d56..000000000000
--- a/dev-util/fq/fq-0.7.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2023-12-03  8:24 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-12-03  8:24 UTC (permalink / raw
  To: gentoo-commits

commit:     1b7215941f80862ccc4deed684e833bf13ff1676
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  3 08:23:04 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec  3 08:23:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b721594

dev-util/fq: add 0.9.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 ++
 dev-util/fq/fq-0.9.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 4e01f316eed6..b337a71ef730 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,2 +1,4 @@
 DIST fq-0.8.0-deps.tar.xz 30680132 BLAKE2B df9eed4dd0fd04c114293286aeb57d8c29ef8d09577f433c3c50cde32ccb87985efc5e7f5b4be30a9ff47ad0d072ff2989868dec5d74721bd809f93960ee15f1 SHA512 97dbe3467a8ca388b7345da11d67a7b84f77b38ec2c114ceb223eceb7fcf1b682d6e531c30fa0134b1f3fd9461f6b98e381ebcc6a12386f630460a3b6d778077
 DIST fq-0.8.0.tar.gz 15152198 BLAKE2B 5e07106adc7539225a47c0e06eed5731c0c5b121c6206afa54eaf5598d56c7a00ea7cc984afc6808fb28964e999cee91bec587ece2cf5ef0b3b5f85faf50b1dd SHA512 b9733ecb2b8ffaac564c1fb18d4fab1fe1a2b3307f42c1ac1968d5f2f74e4ca37c16add2a6e366d65e60173967e1317f6c6383d414e9ff95d0fc8f5dcefa9637
+DIST fq-0.9.0-deps.tar.xz 30756668 BLAKE2B 6e5ca0ba9c595f3907c0e0fd5330360cea5c60a2a8d6c3501a333f1084380563c7d7bdd13030659cd2a1bfaf38e6a5d529b53734b3f39e7715a39f51f3efce81 SHA512 e1061470c0bc863f0a2a96a5fc2ebbca8262a5e67856fe0caa39c88ccca4d5e1411e9a14befbf11b0511bbc19ba90c14917aa91b808dbc5531201c40cd0dfb64
+DIST fq-0.9.0.tar.gz 15107174 BLAKE2B 4ab47ff8e726d1af9785cf9d83e628235cd43ef659c93a5a15759f7844f5c323e0e4ae82dea45b7b9c756f9cb264c0f7164a9fbe6fecdde1478f94c6a3301784 SHA512 4b8fdf25cd4aa255d4f689d612c1f43997e277fa4b4f522a0b346ec55ebdbeef93a20fdfb78a2c23df16a475c70abebec507145f0fb8d2ca1d3f564076b2ddad

diff --git a/dev-util/fq/fq-0.9.0.ebuild b/dev-util/fq/fq-0.9.0.ebuild
new file mode 100644
index 000000000000..5df96c3f076c
--- /dev/null
+++ b/dev-util/fq/fq-0.9.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-01-07 13:26 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-01-07 13:26 UTC (permalink / raw
  To: gentoo-commits

commit:     3e87f138cd27ab1a3253ab50969a67bc207343e8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  7 13:25:35 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan  7 13:25:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e87f138

dev-util/fq: Stabilize 0.9.0 amd64, #921543

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.9.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-util/fq/fq-0.9.0.ebuild b/dev-util/fq/fq-0.9.0.ebuild
index 5df96c3f076c..6830d05644b5 100644
--- a/dev-util/fq/fq-0.9.0.ebuild
+++ b/dev-util/fq/fq-0.9.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-02-27 22:06 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-02-27 22:06 UTC (permalink / raw
  To: gentoo-commits

commit:     4ca2d52ab1880d43b7dfc89b7cff9a63e111180a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 21:54:54 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 21:59:01 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ca2d52a

dev-util/fq: add 0.10.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest         |  2 ++
 dev-util/fq/fq-0.10.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index b337a71ef730..4fcee844bc68 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,3 +1,5 @@
+DIST fq-0.10.0-deps.tar.xz 12289084 BLAKE2B b89d31408f2c6f522e2621959428eb665d60f37c5a77d1d1a518d47368f742cd740be1091b207a6299f01a69ee937c5b5a0be7828ed28488f9dd5688c8020a31 SHA512 8df16ec29d87d7392b602def400a09f9d047e548c96a77cd63f36f96e749d43a92711cb472e1a4a45cbdff2a42d820f89e6b26675b38b6b31a1dea203baf20e0
+DIST fq-0.10.0.tar.gz 17319298 BLAKE2B 98bedb4cd1322f33eaeea68895a53d54d10c59477104bc597c06a737d9f2cc354307b9f51eba66e691387184160e1cfe2c13f2a2ba8dee1e82eaadfeb33b07d7 SHA512 8cc179721de4b8b268dcd41c53b7c689b30574ea9f3c4f796115255b0dd8a2e681f955c2b2a0dc364f4e15aad582ea0a0aa038d4cee7c7bb79f5096d467883a3
 DIST fq-0.8.0-deps.tar.xz 30680132 BLAKE2B df9eed4dd0fd04c114293286aeb57d8c29ef8d09577f433c3c50cde32ccb87985efc5e7f5b4be30a9ff47ad0d072ff2989868dec5d74721bd809f93960ee15f1 SHA512 97dbe3467a8ca388b7345da11d67a7b84f77b38ec2c114ceb223eceb7fcf1b682d6e531c30fa0134b1f3fd9461f6b98e381ebcc6a12386f630460a3b6d778077
 DIST fq-0.8.0.tar.gz 15152198 BLAKE2B 5e07106adc7539225a47c0e06eed5731c0c5b121c6206afa54eaf5598d56c7a00ea7cc984afc6808fb28964e999cee91bec587ece2cf5ef0b3b5f85faf50b1dd SHA512 b9733ecb2b8ffaac564c1fb18d4fab1fe1a2b3307f42c1ac1968d5f2f74e4ca37c16add2a6e366d65e60173967e1317f6c6383d414e9ff95d0fc8f5dcefa9637
 DIST fq-0.9.0-deps.tar.xz 30756668 BLAKE2B 6e5ca0ba9c595f3907c0e0fd5330360cea5c60a2a8d6c3501a333f1084380563c7d7bdd13030659cd2a1bfaf38e6a5d529b53734b3f39e7715a39f51f3efce81 SHA512 e1061470c0bc863f0a2a96a5fc2ebbca8262a5e67856fe0caa39c88ccca4d5e1411e9a14befbf11b0511bbc19ba90c14917aa91b808dbc5531201c40cd0dfb64

diff --git a/dev-util/fq/fq-0.10.0.ebuild b/dev-util/fq/fq-0.10.0.ebuild
new file mode 100644
index 000000000000..e41588bcdc59
--- /dev/null
+++ b/dev-util/fq/fq-0.10.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-02-27 23:00 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-02-27 23:00 UTC (permalink / raw
  To: gentoo-commits

commit:     bd0e85e6d98d7b35d6912413da91164a785609d0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 22:44:35 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 22:55:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd0e85e6

dev-util/fq: recreate Go dep tarball

Much smaller with the cached .zips dropped.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index e17eb9fe71ec..bcbf1cde337c 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,4 +1,4 @@
 DIST fq-0.10.0-deps.tar.xz 12289084 BLAKE2B b89d31408f2c6f522e2621959428eb665d60f37c5a77d1d1a518d47368f742cd740be1091b207a6299f01a69ee937c5b5a0be7828ed28488f9dd5688c8020a31 SHA512 8df16ec29d87d7392b602def400a09f9d047e548c96a77cd63f36f96e749d43a92711cb472e1a4a45cbdff2a42d820f89e6b26675b38b6b31a1dea203baf20e0
 DIST fq-0.10.0.tar.gz 17319298 BLAKE2B 98bedb4cd1322f33eaeea68895a53d54d10c59477104bc597c06a737d9f2cc354307b9f51eba66e691387184160e1cfe2c13f2a2ba8dee1e82eaadfeb33b07d7 SHA512 8cc179721de4b8b268dcd41c53b7c689b30574ea9f3c4f796115255b0dd8a2e681f955c2b2a0dc364f4e15aad582ea0a0aa038d4cee7c7bb79f5096d467883a3
-DIST fq-0.9.0-deps.tar.xz 30756668 BLAKE2B 6e5ca0ba9c595f3907c0e0fd5330360cea5c60a2a8d6c3501a333f1084380563c7d7bdd13030659cd2a1bfaf38e6a5d529b53734b3f39e7715a39f51f3efce81 SHA512 e1061470c0bc863f0a2a96a5fc2ebbca8262a5e67856fe0caa39c88ccca4d5e1411e9a14befbf11b0511bbc19ba90c14917aa91b808dbc5531201c40cd0dfb64
+DIST fq-0.9.0-deps.tar.xz 12255984 BLAKE2B b14169dd1f6889ee7c8460d11e5e8306ff96b85c68865d4335bb2cb42df85eb3f30423e55647ba3e4568115f6d68fab576a369a3662614d51c17355ca927f52b SHA512 ffed1929c17c6397df2a4845034014a8d33400caa6579e79e637818a03340be47c449ec258174dc980cbbc3abab3d691449430b23da790ff860999122412b461
 DIST fq-0.9.0.tar.gz 15107174 BLAKE2B 4ab47ff8e726d1af9785cf9d83e628235cd43ef659c93a5a15759f7844f5c323e0e4ae82dea45b7b9c756f9cb264c0f7164a9fbe6fecdde1478f94c6a3301784 SHA512 4b8fdf25cd4aa255d4f689d612c1f43997e277fa4b4f522a0b346ec55ebdbeef93a20fdfb78a2c23df16a475c70abebec507145f0fb8d2ca1d3f564076b2ddad


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-02-27 23:00 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-02-27 23:00 UTC (permalink / raw
  To: gentoo-commits

commit:     68ee9de66e84350c66006f56003fbb4b3d1b05f7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 22:42:48 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 22:55:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68ee9de6

dev-util/fq: drop 0.8.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest        |  2 --
 dev-util/fq/fq-0.8.0.ebuild | 40 ----------------------------------------
 2 files changed, 42 deletions(-)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 4fcee844bc68..e17eb9fe71ec 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,6 +1,4 @@
 DIST fq-0.10.0-deps.tar.xz 12289084 BLAKE2B b89d31408f2c6f522e2621959428eb665d60f37c5a77d1d1a518d47368f742cd740be1091b207a6299f01a69ee937c5b5a0be7828ed28488f9dd5688c8020a31 SHA512 8df16ec29d87d7392b602def400a09f9d047e548c96a77cd63f36f96e749d43a92711cb472e1a4a45cbdff2a42d820f89e6b26675b38b6b31a1dea203baf20e0
 DIST fq-0.10.0.tar.gz 17319298 BLAKE2B 98bedb4cd1322f33eaeea68895a53d54d10c59477104bc597c06a737d9f2cc354307b9f51eba66e691387184160e1cfe2c13f2a2ba8dee1e82eaadfeb33b07d7 SHA512 8cc179721de4b8b268dcd41c53b7c689b30574ea9f3c4f796115255b0dd8a2e681f955c2b2a0dc364f4e15aad582ea0a0aa038d4cee7c7bb79f5096d467883a3
-DIST fq-0.8.0-deps.tar.xz 30680132 BLAKE2B df9eed4dd0fd04c114293286aeb57d8c29ef8d09577f433c3c50cde32ccb87985efc5e7f5b4be30a9ff47ad0d072ff2989868dec5d74721bd809f93960ee15f1 SHA512 97dbe3467a8ca388b7345da11d67a7b84f77b38ec2c114ceb223eceb7fcf1b682d6e531c30fa0134b1f3fd9461f6b98e381ebcc6a12386f630460a3b6d778077
-DIST fq-0.8.0.tar.gz 15152198 BLAKE2B 5e07106adc7539225a47c0e06eed5731c0c5b121c6206afa54eaf5598d56c7a00ea7cc984afc6808fb28964e999cee91bec587ece2cf5ef0b3b5f85faf50b1dd SHA512 b9733ecb2b8ffaac564c1fb18d4fab1fe1a2b3307f42c1ac1968d5f2f74e4ca37c16add2a6e366d65e60173967e1317f6c6383d414e9ff95d0fc8f5dcefa9637
 DIST fq-0.9.0-deps.tar.xz 30756668 BLAKE2B 6e5ca0ba9c595f3907c0e0fd5330360cea5c60a2a8d6c3501a333f1084380563c7d7bdd13030659cd2a1bfaf38e6a5d529b53734b3f39e7715a39f51f3efce81 SHA512 e1061470c0bc863f0a2a96a5fc2ebbca8262a5e67856fe0caa39c88ccca4d5e1411e9a14befbf11b0511bbc19ba90c14917aa91b808dbc5531201c40cd0dfb64
 DIST fq-0.9.0.tar.gz 15107174 BLAKE2B 4ab47ff8e726d1af9785cf9d83e628235cd43ef659c93a5a15759f7844f5c323e0e4ae82dea45b7b9c756f9cb264c0f7164a9fbe6fecdde1478f94c6a3301784 SHA512 4b8fdf25cd4aa255d4f689d612c1f43997e277fa4b4f522a0b346ec55ebdbeef93a20fdfb78a2c23df16a475c70abebec507145f0fb8d2ca1d3f564076b2ddad

diff --git a/dev-util/fq/fq-0.8.0.ebuild b/dev-util/fq/fq-0.8.0.ebuild
deleted file mode 100644
index ac1877d19d56..000000000000
--- a/dev-util/fq/fq-0.8.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit go-module
-
-DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
-HOMEPAGE="https://github.com/wader/fq"
-SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
-
-LICENSE="MIT BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-BDEPEND="test? ( dev-tcltk/expect )"
-
-src_prepare() {
-	default
-
-	# Don't unconditionally (and therefore twice) build tests
-	# TODO: upstream
-	sed -i -e 's/all: test fq/all: fq/' Makefile || die
-}
-
-src_compile() {
-	# Avoid -s being set in Makefile (stripping)
-	export GO_BUILD_LDFLAGS="-w"
-
-	default
-}
-
-src_install() {
-	einstalldocs
-
-	dobin fq
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-04-15  7:27 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-04-15  7:27 UTC (permalink / raw
  To: gentoo-commits

commit:     9f6cf8251bb62b31939e6cbc4529667324753af3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 15 07:24:48 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 15 07:26:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f6cf825

dev-util/fq: add 0.11.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest         |  2 ++
 dev-util/fq/fq-0.11.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index bcbf1cde337c..94bfb8883307 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -1,4 +1,6 @@
 DIST fq-0.10.0-deps.tar.xz 12289084 BLAKE2B b89d31408f2c6f522e2621959428eb665d60f37c5a77d1d1a518d47368f742cd740be1091b207a6299f01a69ee937c5b5a0be7828ed28488f9dd5688c8020a31 SHA512 8df16ec29d87d7392b602def400a09f9d047e548c96a77cd63f36f96e749d43a92711cb472e1a4a45cbdff2a42d820f89e6b26675b38b6b31a1dea203baf20e0
 DIST fq-0.10.0.tar.gz 17319298 BLAKE2B 98bedb4cd1322f33eaeea68895a53d54d10c59477104bc597c06a737d9f2cc354307b9f51eba66e691387184160e1cfe2c13f2a2ba8dee1e82eaadfeb33b07d7 SHA512 8cc179721de4b8b268dcd41c53b7c689b30574ea9f3c4f796115255b0dd8a2e681f955c2b2a0dc364f4e15aad582ea0a0aa038d4cee7c7bb79f5096d467883a3
+DIST fq-0.11.0-deps.tar.xz 12384484 BLAKE2B 5b60f1f5d0189ab9d734f24a119a67529fff118ef737300551d820d6b3b2ad6a33c7423b947717583e2765280ae52560aa3f4dfbb6827092c42fa948ddc682dd SHA512 5a0ea43891dae644b386b6236e214b9459c3b40ee03bf49547abe930f097a109ba6c9655a88050cd64b0d45fb29b8f0b4c6088d40874d4ba4dba0dfed952369b
+DIST fq-0.11.0.tar.gz 17696740 BLAKE2B 6f1bd80bdc13a3c271311440869905dbadee229af6243e6121216604e55216deba7fa02838cf7f0bdef9cfc3202ae3132eb60ad90b6b75f3e5731fd2ce076f9c SHA512 a953046f1d12e6bd519d8f54521e3d48a727b8acfb0f3ff63cee139f97b35e54399e16158a1dda719f2068322fe377eff11200870e4db28992176598ee2b4efe
 DIST fq-0.9.0-deps.tar.xz 12255984 BLAKE2B b14169dd1f6889ee7c8460d11e5e8306ff96b85c68865d4335bb2cb42df85eb3f30423e55647ba3e4568115f6d68fab576a369a3662614d51c17355ca927f52b SHA512 ffed1929c17c6397df2a4845034014a8d33400caa6579e79e637818a03340be47c449ec258174dc980cbbc3abab3d691449430b23da790ff860999122412b461
 DIST fq-0.9.0.tar.gz 15107174 BLAKE2B 4ab47ff8e726d1af9785cf9d83e628235cd43ef659c93a5a15759f7844f5c323e0e4ae82dea45b7b9c756f9cb264c0f7164a9fbe6fecdde1478f94c6a3301784 SHA512 4b8fdf25cd4aa255d4f689d612c1f43997e277fa4b4f522a0b346ec55ebdbeef93a20fdfb78a2c23df16a475c70abebec507145f0fb8d2ca1d3f564076b2ddad

diff --git a/dev-util/fq/fq-0.11.0.ebuild b/dev-util/fq/fq-0.11.0.ebuild
new file mode 100644
index 000000000000..e41588bcdc59
--- /dev/null
+++ b/dev-util/fq/fq-0.11.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-04-17 22:01 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-04-17 22:01 UTC (permalink / raw
  To: gentoo-commits

commit:     9a7f974fcedde1777633b66d94a60095c487ea32
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 17 21:59:26 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Apr 17 21:59:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a7f974f

dev-util/fq: Stabilize 0.10.0 amd64, #930051

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/fq-0.10.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-util/fq/fq-0.10.0.ebuild b/dev-util/fq/fq-0.10.0.ebuild
index e41588bcdc59..6830d05644b5 100644
--- a/dev-util/fq/fq-0.10.0.ebuild
+++ b/dev-util/fq/fq-0.10.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar
 
 LICENSE="MIT BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
+KEYWORDS="amd64 ~arm ~arm64"
 IUSE="test"
 RESTRICT="!test? ( test )"
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/
@ 2024-08-15  0:26 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2024-08-15  0:26 UTC (permalink / raw
  To: gentoo-commits

commit:     1b9d7396d4799d54e2975b44993a49e5fee2fc9a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 15 00:20:50 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Aug 15 00:26:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b9d7396

dev-util/fq: add 0.12.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/fq/Manifest         |  2 ++
 dev-util/fq/fq-0.12.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/fq/Manifest b/dev-util/fq/Manifest
index 94bfb8883307..1ae9255c7a29 100644
--- a/dev-util/fq/Manifest
+++ b/dev-util/fq/Manifest
@@ -2,5 +2,7 @@ DIST fq-0.10.0-deps.tar.xz 12289084 BLAKE2B b89d31408f2c6f522e2621959428eb665d60
 DIST fq-0.10.0.tar.gz 17319298 BLAKE2B 98bedb4cd1322f33eaeea68895a53d54d10c59477104bc597c06a737d9f2cc354307b9f51eba66e691387184160e1cfe2c13f2a2ba8dee1e82eaadfeb33b07d7 SHA512 8cc179721de4b8b268dcd41c53b7c689b30574ea9f3c4f796115255b0dd8a2e681f955c2b2a0dc364f4e15aad582ea0a0aa038d4cee7c7bb79f5096d467883a3
 DIST fq-0.11.0-deps.tar.xz 12384484 BLAKE2B 5b60f1f5d0189ab9d734f24a119a67529fff118ef737300551d820d6b3b2ad6a33c7423b947717583e2765280ae52560aa3f4dfbb6827092c42fa948ddc682dd SHA512 5a0ea43891dae644b386b6236e214b9459c3b40ee03bf49547abe930f097a109ba6c9655a88050cd64b0d45fb29b8f0b4c6088d40874d4ba4dba0dfed952369b
 DIST fq-0.11.0.tar.gz 17696740 BLAKE2B 6f1bd80bdc13a3c271311440869905dbadee229af6243e6121216604e55216deba7fa02838cf7f0bdef9cfc3202ae3132eb60ad90b6b75f3e5731fd2ce076f9c SHA512 a953046f1d12e6bd519d8f54521e3d48a727b8acfb0f3ff63cee139f97b35e54399e16158a1dda719f2068322fe377eff11200870e4db28992176598ee2b4efe
+DIST fq-0.12.0-deps.tar.xz 12362664 BLAKE2B c1453465b4ffee0103ce075c3df0157912b09b6614b68f8c7b219767579c815a297df75fd8a230f455f9235e6f9cce5df50e564b4d09303dd846549fd4b504cd SHA512 f94054a5ce888bffb757c36d8208ab3eae8f3793195d9cb5c199caf5c89eebb1a8827a19f9d60f341d29b65496ebbb1795946e63211f995a98bef605d8aef4bd
+DIST fq-0.12.0.tar.gz 17697247 BLAKE2B 90399317b2ede730379a2931eb8096fa276ef16ad7ffcc625fa839168dbc66638c1bc7d3fe3e57b70ada70db83bc634c8dedd5e008a49f05553eea6083bcb084 SHA512 d280865b300106784e91f66b44b21d82cf177cc8e5d91b9891202f41ca1399a64f0be572821c51141a6fd2a14267fe4dab03bbdd5c6fd2263e15bae934652264
 DIST fq-0.9.0-deps.tar.xz 12255984 BLAKE2B b14169dd1f6889ee7c8460d11e5e8306ff96b85c68865d4335bb2cb42df85eb3f30423e55647ba3e4568115f6d68fab576a369a3662614d51c17355ca927f52b SHA512 ffed1929c17c6397df2a4845034014a8d33400caa6579e79e637818a03340be47c449ec258174dc980cbbc3abab3d691449430b23da790ff860999122412b461
 DIST fq-0.9.0.tar.gz 15107174 BLAKE2B 4ab47ff8e726d1af9785cf9d83e628235cd43ef659c93a5a15759f7844f5c323e0e4ae82dea45b7b9c756f9cb264c0f7164a9fbe6fecdde1478f94c6a3301784 SHA512 4b8fdf25cd4aa255d4f689d612c1f43997e277fa4b4f522a0b346ec55ebdbeef93a20fdfb78a2c23df16a475c70abebec507145f0fb8d2ca1d3f564076b2ddad

diff --git a/dev-util/fq/fq-0.12.0.ebuild b/dev-util/fq/fq-0.12.0.ebuild
new file mode 100644
index 000000000000..e41588bcdc59
--- /dev/null
+++ b/dev-util/fq/fq-0.12.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Tool for working with binary data (app-misc/jq for binary formats)"
+HOMEPAGE="https://github.com/wader/fq"
+SRC_URI="https://github.com/wader/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-tcltk/expect )"
+
+src_prepare() {
+	default
+
+	# Don't unconditionally (and therefore twice) build tests
+	# TODO: upstream
+	sed -i -e 's/all: test fq/all: fq/' Makefile || die
+}
+
+src_compile() {
+	# Avoid -s being set in Makefile (stripping)
+	export GO_BUILD_LDFLAGS="-w"
+
+	default
+}
+
+src_install() {
+	einstalldocs
+
+	dobin fq
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

end of thread, other threads:[~2024-08-15  0:26 UTC | newest]

Thread overview: 31+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-06-25  7:05 [gentoo-commits] repo/gentoo:master commit in: dev-util/fq/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-08-15  0:26 Sam James
2024-04-17 22:01 Sam James
2024-04-15  7:27 Sam James
2024-02-27 23:00 Sam James
2024-02-27 23:00 Sam James
2024-02-27 22:06 Sam James
2024-01-07 13:26 Sam James
2023-12-03  8:24 Sam James
2023-11-25  5:28 Sam James
2023-11-04 10:52 Sam James
2023-09-29 23:54 Sam James
2023-09-29 23:54 Sam James
2023-07-09  7:59 Sam James
2023-06-10  7:08 Sam James
2023-06-10  4:20 Sam James
2023-05-17  0:37 Sam James
2023-04-19  6:26 Sam James
2023-04-13 19:07 Sam James
2023-03-22  5:27 Sam James
2023-03-09  1:03 Sam James
2023-02-12  6:22 Sam James
2022-12-25 21:24 Sam James
2022-12-25 20:26 Arthur Zamarin
2022-12-25 20:17 Arthur Zamarin
2022-12-24 12:55 Sam James
2022-12-24 12:55 Sam James
2022-12-24 12:55 Sam James
2022-12-24 12:55 Sam James
2022-12-24  6:35 Sam James
2022-12-23  8:55 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox